astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Configuration system (`astropy.config`) »
- get_config

# get_config

`astropy.config.configuration.``get_config`(packageormod=None, reload=False)

  Gets the configuration object or section associated with a particular package or module.

  Parameters:

  packageormod : str or None

  > The package for which to retrieve the configuration object. If a string, it must be a valid package name, or if None, the package from which this function is called will be used.

  Returns:

  cfgobj : `configobj.ConfigObj` or `configobj.Section`

  > If the requested package is a base package, this will be the `configobj.ConfigObj` for that package, or if it is a subpackage or module, it will return the relevant `configobj.Section` object.

  Raises:

  RuntimeError :

  > If `package` is None, but the package this item is created from cannot be determined.